This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 845440 - Unable to display OS of the system registered in SAM UI
Unable to display OS of the system registered in SAM UI
Status: VERIFIED
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Angus Thomas
Corey Welton
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-03 02:09 EDT by Tazim Kolhar
Modified: 2016-04-25 21:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
system OS unknown (95.74 KB, image/png)
2012-08-03 02:09 EDT, Tazim Kolhar
no flags Details
System OS displayed (109.56 KB, image/png)
2012-10-10 06:42 EDT, Tazim Kolhar
no flags Details

  None (edit)
Description Tazim Kolhar 2012-08-03 02:09:03 EDT
Created attachment 602069 [details]
system OS unknown

Description of problem:
When a system is registered via katello cli the OS of the system is
displayed as 'unknown'

Version-Release number of selected component (if applicable):
[root@dell-pe1800-01 ~]# rpm -qa | grep katello
katello-common-1.0.2-1.fc16.noarch
katello-certs-tools-1.1.7-1.fc16.noarch
katello-1.0.2-1.fc16.noarch
katello-cli-1.0.1-1.fc16.noarch
katello-glue-foreman-1.0.2-1.fc16.noarch
katello-selinux-1.0.1-1.fc16.noarch
katello-all-1.0.2-1.fc16.noarch
katello-glue-candlepin-1.0.2-1.fc16.noarch
katello-cli-common-1.0.1-1.fc16.noarch
katello-configure-1.0.1-1.fc16.noarch
katello-glue-pulp-1.0.2-1.fc16.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch

How reproducible:
yum install -y katello-all thumbslug
katello-configure --deployment=headpin

Steps to Reproduce:
1.[root@dell-pe1800-01 ~]# katello -u admin -p admin system register --name    10.65.201.202 --org 'Red Hat' --environment=DEV
Successfully registered system [ 10.65.201.202 ]

2.[root@dell-pe1800-01 ~]# katello  -u admin -p admin system register --name hp-dl140g2-01.rhts.eng.rdu.redhat.com --org 'Red Hat' --environment=DEV
Successfully registered system [ hp-dl140g2-01.rhts.eng.rdu.redhat.com ]

  
Actual results:
The OS of the system is unknown

Expected results:
The OS of the registered system should be displayed

Additional info:
Comment 1 Eric Sammons 2012-08-09 10:00:23 EDT
Please provide the subscription-manager facts output from the consumer.
Comment 2 Tazim Kolhar 2012-10-10 06:42:08 EDT
Created attachment 624776 [details]
System OS displayed

VERIFIED :

# rpm -qa | grep katello
katello-configure-1.1.11-1h.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.1.8-1h.el6_3.noarch
katello-glue-candlepin-1.1.14-2h.el6_3.noarch
katello-cli-common-1.1.10-1h.el6_3.noarch
katello-selinux-1.1.2-1h.el6_3.noarch
katello-cli-headpin-0.2.2-1.el6_2.noarch
katello-headpin-1.1.14-2h.el6_3.noarch
katello-common-1.1.14-2h.el6_3.noarch
katello-headpin-all-1.1.14-2h.el6_3.noarch

Note You need to log in before you can comment on or make changes to this bug.